Bug 402361 - Java client performance issue
Java client performance issue
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
All All
high Severity high
: ---
: ---
Assigned To: Arnaud Simon
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2007-11-28 03:25 EST by Arnaud Simon
Modified: 2009-05-07 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: qpid-java-common-0.2-9 and qpid-java-client-0.2-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-29 11:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2007-11-28 03:25:46 EST
The java client throughput is currently as follows:
C++ client  - C++ broker: x
Java client - C++ broker: ~ x/8

We should manage to reach a throughput of at least x/2.
Comment 1 Carl Trieloff 2008-01-24 13:37:16 EST
Corrected by Arnaud and Rajith
Comment 2 Mike Bonnet 2008-02-29 11:46:46 EST
Fixed in qpid-java-common-0.2-9 and qpid-java-client-0.2-9

Note You need to log in before you can comment on or make changes to this bug.